Package Details: oggvideotools 0.8a-1

Git Clone URL: https://aur.archlinux.org/oggvideotools.git (read-only)
Package Base: oggvideotools
Description: A collection of tools for manipulating Ogg video files
Upstream URL: http://dev.streamnik.de/oggvideotools.html
Licenses: GPL
Submitter: None
Maintainer: Dragonlord
Last Packager: Dragonlord
Votes: 10
Popularity: 0.000065
First Submitted: 2009-01-06 00:13
Last Updated: 2015-06-28 15:48

Latest Comments

eerie commented on 2016-06-30 14:54

$cower -dd oggvideotools
$makepkg -si

[...]

In file included from /home/dario/COWER_PACKAGES/oggvideotools/src/oggvideotools-0.8a/src/oggPacket.h:32:0,
from /home/dario/COWER_PACKAGES/oggvideotools/src/oggvideotools-0.8a/src/oggStreamDecoder.h:30,
from /home/dario/COWER_PACKAGES/oggvideotools/src/oggvideotools-0.8a/src/oggStreamDecoder.cpp:29:
/home/dario/COWER_PACKAGES/oggvideotools/src/oggvideotools-0.8a/src/oggTypes.h:41:1: error: narrowing conversion of ‘128’ from ‘int’ to ‘char’ inside { } [-Wnarrowing]
};
^
/home/dario/COWER_PACKAGES/oggvideotools/src/oggvideotools-0.8a/src/oggTypes.h:41:1: error: narrowing conversion of ‘128’ from ‘int’ to ‘char’ inside { } [-Wnarrowing]
make[2]: *** [src/CMakeFiles/oggvideotools.dir/build.make:303: src/CMakeFiles/oggvideotools.dir/oggStreamDecoder.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:217: src/CMakeFiles/oggvideotools.dir/all] Error 2
make: *** [Makefile:150: all] Error 2
==> ERROR: A failure occurred in package().
Aborting...

Maxr commented on 2015-04-03 09:11

error: failed to commit transaction (conflicting files)
oggvideotools: /usr/sbin exists in filesystem
Errors occurred, no packages were upgraded.


Putting the following two lines just before the closing } did it for me:

mv "${pkgdir}"/usr/sbin/* "${pkgdir}"/usr/bin/
rm "${pkgdir}"/usr/sbin/ -r

aleray commented on 2013-06-27 14:57

Correct PKGBUILD: http://ix.io/6oa

debdj commented on 2012-07-10 19:40

Please visit this thread and apply the patch proposed.
It doesn't compile otherwise.
https://bbs.archlinux.org/viewtopic.php?id=144711

debdj commented on 2012-07-09 06:02

this package needs some patches.

/tmp/oggs/oggvideotools-0.8a/src/oggCat.cpp: In function ‘int oggCatCmd(int, char**)’:
/tmp/oggs/oggvideotools-0.8a/src/oggCat.cpp:252:65: error: ‘getopt’ was not declared in this scope
/tmp/oggs/oggvideotools-0.8a/src/oggCat.cpp:262:32: error: ‘optarg’ was not declared in this scope
/tmp/oggs/oggvideotools-0.8a/src/oggCat.cpp:372:11: error: ‘optind’ was not declared in this scope
make[2]: *** [src/CMakeFiles/oggCat.dir/oggCat.cpp.o] Error 1
make[1]: *** [src/CMakeFiles/oggCat.dir/all] Error 2
make: *** [all] Error 2

debdj commented on 2012-07-09 05:59

this package needs some patches.

/tmp/oggs/oggvideotools-0.8a/src/oggCat.cpp: In function ‘int oggCatCmd(int, char**)’:
/tmp/oggs/oggvideotools-0.8a/src/oggCat.cpp:252:65: error: ‘getopt’ was not declared in this scope
/tmp/oggs/oggvideotools-0.8a/src/oggCat.cpp:262:32: error: ‘optarg’ was not declared in this scope
/tmp/oggs/oggvideotools-0.8a/src/oggCat.cpp:372:11: error: ‘optind’ was not declared in this scope
make[2]: *** [src/CMakeFiles/oggCat.dir/oggCat.cpp.o] Error 1
make[1]: *** [src/CMakeFiles/oggCat.dir/all] Error 2
make: *** [all] Error 2